Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7828 - sort is broken
Summary: sort is broken
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: textutils
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-16 01:43 UTC by Doug Ledford
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-17 14:33:27 UTC


Attachments (Terms of Use)

Description Doug Ledford 1999-12-16 01:43:15 UTC
The sort utility defaults to folding lower case to upper case.  This is
only supposed to be enabled when the -f flag is given, and there is no
means to turn it off.  This in turn breaks the use of ctags to make tags
files for vim to use since vim requires sorted tag files that don't fold
lower and upper case letters when sorting.

Comment 1 Bernhard Rosenkraenzer 1999-12-17 14:33:59 UTC
It's not a bug, it's a feature.
sort now respects locales.
What you want to do is setting LC_ALL=C before using sort.


Note You need to log in before you can comment on or make changes to this bug.